Name:       maven-plugin-cobertura
Version:    2.3
Release:    3%{?dist}
Summary:    Plugin providing the features of Cobertura within Maven

Group:      Development/Libraries
License:    ASL 2.0 and GPLv2 and GPLv2+
URL:        http://mojo.codehaus.org/cobertura-maven-plugin/
# The source tarball has been generated from upstream VCS:
# svn export https://svn.codehaus.org/mojo/tags/cobertura-maven-plugin-%{version} 
#            %{name}-%{version}
# tar cjvf %{name}-%{version}.tar.bz2} %{name}-%{version}
# (exported revision 10628)
Source0:    %{name}-%{version}.tar.bz2
# Fix compile with our doxia.
Patch0:     maven-plugin-cobertura-2.3-SiteRenderer.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  maven2
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-shared-plugin-testing-harness
BuildRequires:  gnu-getopt >= 0:1.0.13
BuildRequires:  tomcat5
BuildRequires:  cobertura

Requires:       maven2
Requires:       cobertura
Requires(post): jpackage-utils
Requires(postun):  jpackage-utils

%description
This plugin provides the features of Cobertura within the Maven 2 environment.
The report generated by this plugin is the result of executing the Cobertura
tool against your compiled classes to help you determine how well the unit
testing efforts have been, and can then be used to identify which parts
of your Java program are lacking test coverage.

%package	javadoc
Summary:    Javadoc for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}
Requires:   jpackage-utils

%description	javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp -Dmaven.test.skip=true -Dmaven.repo.local=$MAVEN_REPO_LOCAL install javadoc:javadoc


%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 644 target/cobertura-maven-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/maven-plugin-cobertura-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s maven-plugin-cobertura-%{version}.jar maven-plugin-cobertura.jar
popd

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -p -m 644 pom.xml \
  $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-maven-plugin-cobertura.pom
%add_to_maven_depmap org.codehaus.mojo cobertura-maven-plugin %{version} JPP maven-plugin-cobertura

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%defattr(-,root,root,-)
%{_mavenpomdir}/JPP-%{name}*.pom
%config(noreplace) %{_mavendepmapfragdir}
%{_javadir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Thu Sep 10 2009 Alexander Kurtakov <akurtako@redhat.com> 2.3-3
- Fix license and changelog.
- Add comment for patch.

* Thu Sep 10 2009 Alexander Kurtakov <akurtako@redhat.com> 2.3-2
- Fix Summary.
- Drop maven2-common-poms BR and add versioned BR to gnu-getopt

* Mon Sep  7 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.3-1
- Initial release
